> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCashRequirementsReport

> The `getCashRequirementsReport` API generates cash requirements including payroll account debits and other payroll liabilities settled outside of the Rollfi system

### What it does:

- Returns the total that will be pulled from the employer's account
- Returns total cash required for check payments
- Includes cash required for remaining liabilites handled outside of Rollfi including benefits contribuitons

### Notes:
- Used to confirm the business has the required funds to run the payroll and cover other liabilites
- Provides a breakdown of the employee and employer taxes included in the total debit amount
- Check employees are included in the cash requirement report even if their totals are $0
- `Garnishments` in the electronicFundsTransferSummary are handled by Rollfi and are part of the debit amount. `otherGarnishments` are settled by the employer



## OpenAPI

````yaml get /reports/getCashRequirementsReport
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getCashRequirementsReport:
    get:
      tags: []
      summary: getCashRequirementsReport
      description: >-
        The `getCashRequirementsReport` API generates cash requirements
        including payroll account debits and other payroll liabilities settled
        outside of the Rollfi system


        ### What it does:


        - Returns the total that will be pulled from the employer's account

        - Returns total cash required for check payments

        - Includes cash required for remaining liabilites handled outside of
        Rollfi including benefits contribuitons


        ### Notes:

        - Used to confirm the business has the required funds to run the payroll
        and cover other liabilites

        - Provides a breakdown of the employee and employer taxes included in
        the total debit amount

        - Check employees are included in the cash requirement report even if
        their totals are $0

        - `Garnishments` in the electronicFundsTransferSummary are handled by
        Rollfi and are part of the debit amount. `otherGarnishments` are settled
        by the employer
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPayrollJournalReport
                  example: getPayrollJournalReport
                payPeriodId:
                  type: string
                  format: uuid
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
                - payPeriodId
            example:
              method: getCashRequirementsReport
              payPeriodId: 5465C126-BACD-4593-97CE-24243FFFC998
              companyId: C3C91397-CDBA-44E0-A296-0BFC9A4DFDF5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  cashRequirementsReport:
                    type: object
                    properties:
                      company:
                        type: string
                      payBeginDate:
                        type: string
                      payEndDate:
                        type: string
                      payDate:
                        type: string
                      payPeriodStatus:
                        type: string
                      payPeriodDisplay:
                        type: string
                      cashRequirementSummary:
                        type: object
                        properties:
                          totalElectronicFundsTransfer:
                            type: number
                          cashRequiredForCheckPayments:
                            type: integer
                          remainingDeductionsLiabilitiesAndWithholdings:
                            type: integer
                          totalCashRequired:
                            type: number
                        required:
                          - totalElectronicFundsTransfer
                          - cashRequiredForCheckPayments
                          - remainingDeductionsLiabilitiesAndWithholdings
                          - totalCashRequired
                      electronicFundsTransferSummary:
                        type: object
                        properties:
                          totalDirectDeposits:
                            type: number
                          totalEmployeeTaxes:
                            type: number
                          totalEmployerTaxes:
                            type: number
                          garnishments:
                            type: integer
                          totalEft:
                            type: number
                        required:
                          - totalDirectDeposits
                          - totalEmployeeTaxes
                          - totalEmployerTaxes
                          - garnishments
                          - totalEft
                      checkPaymentSummary:
                        type: object
                        properties:
                          employees:
                            type: array
                            items:
                              type: object
                              properties:
                                employee:
                                  type: string
                                amount:
                                  type: integer
                          totalCheckPayments:
                            type: integer
                        required:
                          - employees
                          - totalCheckPayments
                      remainingDeductionsAndLiabilities:
                        type: object
                        properties:
                          totalBenefitsDeductionsAndContributions:
                            type: integer
                          otherGarnishments:
                            type: integer
                          totalRemainingDeductionsAndLiabilities:
                            type: integer
                        required:
                          - totalBenefitsDeductionsAndContributions
                          - otherGarnishments
                          - totalRemainingDeductionsAndLiabilities
                    required:
                      - company
                      - payBeginDate
                      - payEndDate
                      - payDate
                      - payPeriodStatus
                      - payPeriodDisplay
                      - cashRequirementSummary
                      - electronicFundsTransferSummary
                      - checkPaymentSummary
                      - remainingDeductionsAndLiabilities
                required:
                  - cashRequirementsReport
              example:
                cashRequirementsReport:
                  company: test150UsersV2
                  payBeginDate: '2026-05-01'
                  payEndDate: '2026-05-31'
                  payDate: '2026-05-29'
                  payPeriodStatus: new
                  payPeriodDisplay: 'Pay Period: 05/01/2026 - 05/31/2026 - DRAFT: NOT SUBMITTED'
                  cashRequirementSummary:
                    totalElectronicFundsTransfer: 469781.41
                    cashRequiredForCheckPayments: 0
                    remainingDeductionsLiabilitiesAndWithholdings: 620
                    totalCashRequired: 470401.41
                  electronicFundsTransferSummary:
                    totalDirectDeposits: 331132.86
                    totalEmployeeTaxes: 104517.99
                    totalEmployerTaxes: 34130.56
                    garnishments: 0
                    totalEft: 469781.41
                  checkPaymentSummary:
                    employees:
                      - employee: Danielle  Edwards
                        amount: 0
                    totalCheckPayments: 0
                  remainingDeductionsAndLiabilities:
                    totalBenefitsDeductionsAndContributions: 620
                    otherGarnishments: 0
                    totalRemainingDeductionsAndLiabilities: 620
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````